Skip to main content

Get a dispatch target

GET 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/dispatch-targets/:dispatchTargetExtId

Since: 8.2605.0, 9.2605.0

Required permission(s): (AccessControl.CredentialView orAccessControl.DispatchTargetView) or SelfAdmin Role

Retrieves the details of a specific dispatch target for the specified user, including its associated App Attestation if one exists.

This endpoint supports self-admin access. When accessed by the user themselves, a valid JWT token must be provided in the X-Token header.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123
    dispatchTargetExtId stringrequired

    External ID of the dispatch target.

    Example: dt-123

Responses

Dispatch target found

Schema
    created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    The unique external ID of the dispatch target within the client. If not provided, one will be generated. It has to be unique on client

    type string

    Possible values: [fido-uaf]

    Default value: fido-uaf

    The type of the dispatch target.

    deviceId string

    The identifier of the device associated with this dispatch target.

    target string

    The target identifier of the authentication channel.

    dispatcher string

    The name of the dispatcher responsible for routing messages to this target.

    userAgent string

    User-Agent string of the FIDO UAF device.

    encryptionKey string

    Encryption key used for encrypting the channel data.

    signingKey string

    The signing key used for signing dispatch channel information.

    appId string

    The application ID where the device is registered.

    name string

    Human-readable name of the device.

    state string

    Possible values: [active, disabled]

    Default value: active

    The current state of the dispatch target.

    identification string

    Business identification of the dispatch target.

    appAttestation object

    The iOS App Attestation associated with this dispatch target, if any.

    created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    name string

    User friendly name of the iOS App Attestation.

    counter int32

    Number of times the attestation was used to successfully validate an assertion.

    receipt string

    Receipt data of the iOS App Attestation.

    publicKey string

    Public key of the iOS App Attestation.

    deviceId string

    Device ID associated with the iOS App Attestation.

    environment string

    The environment where this credential can be used.

Loading...